Texa DeskDevelopers

Texa Desk Application API · Automation rule

List all automation rules in an account

GET/api/v1/accounts/{account_id}/automation_rules

Get details of automation rules in an Account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

account_idintegerrequired

The numeric ID of the account

Query parameters

pageinteger

The page parameter

Responses

200

Success

payloadarray of object or object

Response payload that contains automation rule(s)

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring